Bug 189857 - "Super" key does not work as movement key
"Super" key does not work as movement key
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-25 05:07 EDT by Pavel Rosenboim
Modified: 2008-03-18 14:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 14:33:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Rosenboim 2006-04-25 05:07:37 EDT
Description of problem:
I set a "Super" (windows logo) key, to be a movement key in Gnome. Sometimes at
logon this preference is lost and "Super" key does not act as movement key.
Also, when it happens, I'm able to set Alt or Ctrl as movement key, but not
"Super" key. I need to set it again, logoff and kill the X server to make
"Super" key to function again.

Version-Release number of selected component (if applicable):
gnome-desktop-2.14.1.1-1.fc5.1

How reproducible:
Sometimes

Steps to Reproduce:
1. See above.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lars Damerow 2006-09-08 17:38:03 EDT
A similar problem affects me, although I can usually get the super key to move
windows again by opening Keyboard Preferences, selecting a different keyboard in
the Keyboard model selector under Layouts, and then setting the keyboard back to
be a generic 105-key.

When that doesn't work, I run xkeycaps, pick the appropriate keyboard, and then
tell it to restore the default map.

I'd love to have this fixed.

Thanks,
lars
Comment 2 sbbro805 2006-10-30 00:15:27 EST
Movement key in FC6 x86_64 does the same thing as antecedently mentioned. 
Alt+left mouse click works, despite 'super' or 'control' ket option being set.
Comment 3 Matthias Clasen 2006-10-30 12:22:19 EST
Super key works fine for window moving here. 
Please use xev to make sure that the key you are pressing actually generates
the keysym you expect.
Comment 4 Ray Strode [halfline] 2008-03-18 14:33:44 EDT
Hi,

We no longer support Fedora Core 5 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)

Note You need to log in before you can comment on or make changes to this bug.